import DefaultTheme from 'vitepress/theme'
import LandingLayout from './LandingLayout.vue'
import FDocLayout from './FDocLayout.vue'
import './style.css'

export default {
  extends: DefaultTheme,
  // Keep the default VitePress Layout, override specific pages
  enhanceApp({ app }) {
    app.component('LandingLayout', LandingLayout)
    app.component('FDocLayout', FDocLayout)
  },
}
